document.addEventListener('plusready', equipmentInit, false);

function equipmentInit(){		
	$('.equipment-scan-list-clear').on('click', function(e){
		var scan_history=[];
		localStorage.setItem('scan_history',JSON.stringify(scan_history));
		$('.equipment-scan-list').html('');
		$('.equipment-scan-list-tips').show();
		$('.equipment-scan-list-clear').hide();
	});
	
	$('.scan-now').on('click',function(){
		clicked( "barcode_scan.html", true);
	});
	
	$('.equipment-scan-list').on('click','.equipment_item', function(e){
		var equipment_id = $(e.currentTarget).attr('data-equipment-id');
		localStorage.setItem('equipment_id',equipment_id);
		clicked('equipment_detail.html');
	});
	
	RefreshPage();
}


function RefreshPage(){
	if(localStorage.getItem('scan_history')=='' || localStorage.getItem('scan_history') == null || localStorage.getItem('scan_history')== undefined){
		var scan_history=[];
		localStorage.setItem('scan_history',JSON.stringify(scan_history));
		
	}
	else{
		var scan_items = JSON.parse(localStorage.getItem('scan_history'));
		
		$.each(scan_items, function(idx, equipment_item){
			var equipment_scan_node = template('tmpl_equipment_scan',{'equipment_item':equipment_item});
			
			$('.equipment-scan-list').append(equipment_scan_node);
		});
		
	}
	
	if($('.equipment-scan-list').children().length < 1){
		$('.equipment-scan-list-tips').show();
		$('.equipment-scan-list-clear').hide();
	}
	else{
		$('.equipment-scan-list-tips').hide();
		$('.equipment-scan-list-clear').show();
	}
}
