document.addEventListener('plusready', myInit, false);

function myInit() {
	// 获取服务工单
	getMyUserInfo();

	$('.user-info').on('click', function() {
		clicked('user_info.html');
	});
	$('.my-team').on('click', function() {
		var w = plus.webview.create("my_team.html", "my_team_page");
		w.show("pop-in");
	});
	$('.history-order').on('click', function() {
		var w = plus.webview.create("history_order.html", "history_order_page");
		w.show("pop-in");
	});
	$('.custom-advice').on('click', function() {
		//		window.location.href = ".html";
	});
	$('.find').on('click', function() {
		//		window.location.href = ".html";
	});
	$('.advice').on('click', function() {
		var w = plus.webview.create("advice.html", "advice_page");
		w.show("pop-in");
	});
	$('.about-us').on('click', function() {
		var w = plus.webview.create("about_us.html", "about_us_page");
		w.show("pop-in");
	});
	$('.edit-password').on('click', function() {
		var w = plus.webview.create("edit_password.html", "edit_password_page");
		w.show("pop-in");
	});

	//退出登录
	$('.exit').on('click', function() {
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您确定退出登录吗？", function(e) {
			if(e.index == 0) {
				localStorage.clear();
				window.location.href = "login.html";
			}
		});
	});
}

function getMyUserInfo() {
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var post_data = {
		params: {
			'app_id': app_id,
			'app_key': app_key
		}
	};
	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_USER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			var result = retData.result;
			if(result.status == 'success') {
				var data = result.data;
				$('.user-real-name').html(data.real_name);
				$('.user-mobile').html(data.mobile);
				$('img.user-header').attr('src', DOMAIN + data.header_img);
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});

}