var ws = null;
var wo = null;
document.addEventListener('plusready', plusReady, false);

function plusReady() {
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	$('.back-left').on('click', function() {
		back();
		wo.evalJS('myOrderListInit();');
	});

	$('.btn-reject').on('click', function(e) {
		var process_result = $('.input-reject-reason').val().trim();
		if(process_result.trim() == '') {
			toast('请输入拒绝理由');
			return;
		}
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您确定拒绝该工单？", function(e) {
			if(e.index == 0) {
				var order_item_id = localStorage.getItem('order_item_id');
				var app_id = localStorage.getItem('app_id');
				var app_key = localStorage.getItem('app_key');
				var user_data = {
					'app_id': app_id,
					'app_key': app_key
				};
				var post_data = {
					params: {
						'process_result': process_result,
						'user': user_data,
						'order_item_id': order_item_id
					}
				};
				plus.nativeUI.showWaiting();

				$.ajax({
					url: REJECT_ORDER_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {
						plus.nativeUI.closeWaiting();
						if(retData.error != undefined) {
							toast('服务出错，请重试!');
						} else {
							var result = retData.result;
							var data = result.data;
							if(result.status == 'success') {
								back();
								wo.evalJS('GetOrder();');
							} else if(result.status == 'fail') {
								toast(result.message);
							} else if(result.status == 'nologin') {
								toast(result.message);
								window.location.href = 'index.html';
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});
			}
		}, "提示", bts);
	});
}