var ws = null;
var wo = null;

document.addEventListener('plusready', userInfoInit, false);

function userInfoInit() {
	ws = plus.webview.currentWebview();
	wo = ws.opener();

	init_user_info();

	$('.back-left').on('click', function() {
		back();
		wo.evalJS('getMyUserInfo();');
	});

	$('.user-head').on('click', function(e) {
		$.actions({
			title: '请选择操作',
			actions: [{
				text: "拍照",
				onClick: function() {
					var cmr = plus.camera.getCamera();
					var res = cmr.supportedImageResolutions[0];
					var fmt = cmr.supportedImageFormats[0];
					cmr.captureImage(function(path) {
							var src_path = path;
							var dst_path = src_path.substring(0, src_path.lastIndexOf('.')) + '_c' + src_path.substr(src_path.lastIndexOf('.'));
							plus.zip.compressImage({
								src: path,
								dst: dst_path,
								quality: 30,
								overwrite: true,
							}, function(e) {
								plus.io.resolveLocalFileSystemURL(dst_path, function(entry) {
									entry.file(function(imgfile) {
										var reader = new plus.io.FileReader();
										reader.readAsDataURL(imgfile);
										reader.onloadend = function(ee) {
											var image_base64 = ee.target.result;
											$('.user-header').attr('src', image_base64);
											updateUserHeader(image_base64.split(',')[1]);
											plus.nativeUI.closeWaiting();
										}
									});
								});
							}, function(e1) {
					
							});
						},
						function(error) {
							alert("拍照失败，请重新操作！");
						}, {
							resolution: res,
							format: fmt
						}
					);
//					var cmr = plus.camera.getCamera();
//					cmr.captureImage(function(path) {
//						plus.io.resolveLocalFileSystemURL(path, function(entry) {
//							entry.file(function(imgfile) {
//								var reader = new plus.io.FileReader();
//								reader.readAsDataURL(imgfile);
//								reader.onloadend = function(e2) {
//									var image_data = e2.target.result;
//									var canvas = document.createElement("canvas");
//									var ctx = canvas.getContext('2d');
//									var image = new Image();
//									image.src = image_data;
//									image.onload = function() {
//										var cvs = document.createElement('canvas');
//										cvs.width = this.width * 0.1;
//										cvs.height = this.height * 0.1;
//										var ctx = cvs.getContext('2d');
//										ctx.drawImage(this, 0, 0, cvs.width, cvs.height);
//										image_data = cvs.toDataURL('image/png');
//										$('.user-header').attr('src', image_data);
//										updateUserHeader(image_data.split(',')[1]);
//									}
//								}
//							});
//						});
//					});
				}
			}, {
				text: "选择照片",
				onClick: function() {
					var options = {
						filter: "image",
						multiple: false
					};
					
					plus.gallery.pick(function(path) {
						var src_path = path;
						var dst_path = src_path.substring(0, src_path.lastIndexOf('.')) + '_c' + src_path.substr(src_path.lastIndexOf('.'));
						plus.zip.compressImage({
							src: src_path,
							dst: dst_path,
							quality: 30,
							overwrite: true,
						}, function() {
							plus.io.resolveLocalFileSystemURL(dst_path, function(entry) {
								entry.file(function(imgfile) {
									var reader = new plus.io.FileReader();
									reader.readAsDataURL(imgfile);
									reader.onloadend = function(ee) {
										var image_base64 = ee.target.result;
										$('.user-header').attr('src', image_base64);
										updateUserHeader(image_base64.split(',')[1]);
										plus.nativeUI.closeWaiting();
									}
								});
							});
						}, function() {
					
						});
					}, function(e2) {
						console.log("取消选择图片");
					}, options);
//					plus.gallery.pick(function(gallery) {
//
//						var file = gallery;
//						plus.io.resolveLocalFileSystemURL(file, function(entry) {
//							entry.file(function(imgfile) {
//								var reader = new plus.io.FileReader();
//								reader.readAsDataURL(imgfile);
//								reader.onloadend = function(ee) {
//									var image_data = ee.target.result;
//									var canvas = document.createElement("canvas");
//									var ctx = canvas.getContext('2d');
//									var image = new Image();
//									image.src = image_data;
//									image.onload = function() {
//										var cvs = document.createElement('canvas');
//										cvs.width = this.width * 0.1;
//										cvs.height = this.height * 0.1;
//										var ctx = cvs.getContext('2d');
//										ctx.drawImage(this, 0, 0, cvs.width, cvs.height);
//										image_data = cvs.toDataURL('image/png');
//										$('.user-header').attr('src', image_data);
//										updateUserHeader(image_data.split(',')[1]);
//									}
//								}
//							});
//						});
//					});
				}
			}]
		});
	});

	$('.field-link').on('click', function(e) {
		$("#field-edit").popup();
		var field = $(e.currentTarget).attr('data-field');
		var field_name = $(e.currentTarget).attr('data-field-name');
		var value = $(e.currentTarget).attr('data-field-value');
		$('.field-name').html(field_name);
		$('.field-name').attr('data-field-name', $(e.currentTarget).attr('data-field'))
		$('.field-value').val(value);
		$('.field-value').attr('data-field-value', $(e.currentTarget).attr('data-field-value'))
	});

	$('.btn-save').on('click', function(e) {
		var app_id = localStorage.getItem('app_id');
		var app_key = localStorage.getItem('app_key');
		var post_data = {
			params: {
				'app_id': app_id,
				'app_key': app_key,
				'field_name': $('.field-name').attr('data-field-name'),
				'field_value': $('.field-value').val()
			}
		};
		plus.nativeUI.showWaiting();
		$.ajax({
			url: UPDATE_USER_FIELD_SERVICE,
			dataType: 'json',
			type: 'POST',
			contentType: 'application/json',
			data: JSON.stringify(post_data),
			success: function(retData) {

				var result = retData.result;
				if(result.status == 'success') {
					$('.close-popup').click();
					init_user_info();
				}
			},
			error: function(retData) {
				plus.nativeUI.closeWaiting();
			},
			complete: function(c) {
				plus.nativeUI.closeWaiting();
			}
		});
	});
};

function init_user_info() {
	// 获取服务工单
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var post_data = {
		params: {
			'app_id': app_id,
			'app_key': app_key
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_USER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			var result = retData.result;
			if(result.status == 'success') {
				var data = result.data;
				$('.user-real-name').html(data.real_name);
				$('.user-mobile').html(data.mobile);
				$('.user-email').html(data.contact_email);
				$('.user-header').attr('src', DOMAIN + data.header_img);
				$('.field-link-user-real-name').attr('data-field-value', data.real_name);
				$('.field-link-user-email').attr('data-field-value', data.contact_email);
			}

		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
}

function updateUserHeader(data) {
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var post_data = {
		params: {
			'app_id': app_id,
			'app_key': app_key,
			'field_name': 'header_img',
			'field_value': data
		}
	};
	plus.nativeUI.showWaiting();
	$.ajax({
		url: UPDATE_USER_FIELD_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			var result = retData.result;
			if(result.status == 'success') {
				init_user_info();
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
}