document.addEventListener('plusready', giveFeedbackInit, false);

function giveFeedbackInit(){
	
	$('.btn-submit-advice').on('click', function(e){
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您确定提交该建议吗？", function(e) {
			if(e.index == 0) {
				var app_id = localStorage.getItem('app_id');
				var app_key = localStorage.getItem('app_key');
				var result = $('.input-give-feedback').val();
				
				var user_data = {
					'app_id': app_id,
					'app_key': app_key
				};
				
				var post_data = {
					params: {
						'user': user_data,
						'result':result
					}
				};
				
				plus.nativeUI.showWaiting();
				$.ajax({
					url: GIVE_FEEDBACK_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {
						
						if(retData.error != undefined) {
							toast('服务出错，请重试!');
						} else {
							var result = retData.result;
							var data = result.data;
							if(result.status == 'success') {
								toast(result.message);
								$('.input-give-feedback').val('');
								back(); 
							} else if(result.status == 'fail') {
								toast(result.message);
							} else if(result.status == 'nologin') {
								toast(result.message);
								window.location.href = 'login.html';
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete:function(c){
						plus.nativeUI.closeWaiting();
					}
				});
			}
		});
	});
			
};

