var scan = null;
var ws = null;
document.addEventListener('plusready', plusReady, true);

function plusReady(e) {
	ws = plus.webview.currentWebview();
	scan = new plus.barcode.Barcode('bcid', [plus.barcode.QR, plus.barcode.EAN8, plus.barcode.EAN13], {
		frameColor: '#00FF00',
		scanbarColor: '#00FF00'
	});
	ws.addEventListener('show', function() {
		scan.start({
			conserve: true,
			filename: "_doc/barcode/"
		});
		scan.onmarked = onmarked;
	});
	// 二维码扫描成功
	function onmarked(type, result, file) {
		switch(type) {
			case plus.barcode.QR:
				type = "QR";
				break;
			case plus.barcode.EAN13:
				type = "EAN13";
				break;
			case plus.barcode.EAN8:
				type = "EAN8";
				break;
			default:
				type = "其它" + type;
				break;
		}
		var equipment_qrcode_url = result;
		if(equipment_qrcode_url.indexOf('app_service/request_submit') < 0) {
			plus.nativeUI.alert("无法解析您扫描的二维码");
			back();
			return;
		}
		var params = equipment_qrcode_url.substring(equipment_qrcode_url.lastIndexOf("?") + 1, equipment_qrcode_url.length);
		var params = params.split('=');
		var equipment_id = parseInt(params[1]);

		localStorage.setItem('equipment_id', equipment_id);
		clicked('equipment_detail.html');
	}
}