

var page_num = 0;
var loading = false;
var ws = null;
var wo = null;
document.addEventListener('plusready', myOrderInit, false);

function myOrderInit() {
	page_num = 0;
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	/*从order_list进入my_order在进入order_detail,改变工单进度后,
	再返回上一页和上上页都需要执行renderOrderList()*/
	$('.back-left').on('click', function() {
		wo.evalJS('renderOrderList();');
		back();
	});

	$('.tab-item').bind('click', function(ev) {
		$(this).addClass('tab-item-on').siblings('.tab-item').removeClass('tab-item-on');
		var state = $(this).attr('data-state');
		localStorage.setItem('local_state', state);
		page_num = 0;
		$('.order-list').html('');
		GetOrderItems(state);
	});

	$('.order-list').on('click', '.order-item', function(e) {
		var order_item_id = $(e.currentTarget).attr('data-order-id');
		localStorage.setItem('order_item_id', order_item_id);
		clicked('order_detail.html');
	});

	//下拉刷新
	$("#panel_pull").pullToRefresh().on("pull-to-refresh", function() {
		setTimeout(function() {
			location.reload(true);
			$("#panel_pull").pullToRefreshDone();
		}, 1500);
	});
	
	$('#panel_pull').scroll(function(){
		 var $this =$(this),
         viewH =$(this).height(),//可见高度
         contentH =$(this).get(0).scrollHeight,//内容高度
         scrollTop =$(this).scrollTop();//滚动高度
        
        if(contentH - viewH - scrollTop <= 1){ //到达底部100px时,加载新内容
        		alert('aaa');
        }
	});
	
	//order_list页面点击的菜单,在本页面显示出来对应项
	renderOrderList();
}

function renderOrderList() {
	var local_state = localStorage.getItem('local_state');
	$('.tab-item').each(function() {
		var state = $(this).attr('data-state');
		if(local_state == state) {
			$(this).addClass('tab-item-on').siblings('.tab-item').removeClass('tab-item-on');
			GetOrderItems(local_state);
		}
	});
}

function PushOrderItems(state) {
	alert(state);
	return;
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			'user': user_data,
			'state': state,
			'page_num': page_num
		}
	};

	$.ajax({
		url: GET_ORDER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			//			//console.log(JSON.stringify(retData));
			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data.order_list;
				if(result.status == 'success') {
					$.each(data, function(idx, item) {
						var state_name = '';
						var state_class = '';
						if(item.state == 'distributed') {
							state_name = '未接单';
							state_class = 'order-item-state-distributed';
						} else if(item.state == 'done') {
							state_name = '完成';
							state_class = 'order-item-state-done';
						} else if(item.state == 'accepted') {
							state_name = '已接单';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'remote-processing') {
							state_name = '远程处理中';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'processing') {
							state_name = '上门处理中';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'go') {
							state_name = '出发';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'start') {
							state_name = '开工';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'confirm-done') {
							state_name = '等待后台确认';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'rejected') {
							state_name = '已拒绝';
							state_class = 'order-item-state-rejected';
						} else if(item.state == 'return') {
							state_name = '返单';
							state_class = 'order-item-state-return';
						} else {
							state_name = '进行中';
							state_class = 'order-item-state-progressing';
						}

						var html_order_item = template('tmpl_order_item', {
							'state_name': state_name,
							'state_class': state_class,
							'item': item
						});
						$('.order-list').append(html_order_item);
					});

					if($('.order-list').children().length < 1) {
						$('.no-order-list').show();
					} else {
						$('.no-order-list').hide();
					}
					

				
				} else if(result.status == 'fail') {
					toast(result.message);
				} else if(result.status == 'out_time') {
					plus.nativeUI.alert(result.message, function(e) {
						window.location.href = 'login.html';
					}, '确定');
				}
			}
		}
	});
}

function GetOrderItems(state) {
	// 获取服务工单
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			'user': user_data,
			'state': state,
			'page_num': 0
		}
	};
	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_ORDER_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			//console.log(JSON.stringify(retData));
			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data.order_list;
				if(result.status == 'success') {
					$('.order-list').html('');

					$.each(data, function(idx, item) {
						var state_name = '';
						var state_class = '';
						if(item.state == 'distributed') {
							state_name = '未接单';
							state_class = 'order-item-state-distributed';
						} else if(item.state == 'done') {
							state_name = '完成';
							state_class = 'order-item-state-done';
						} else if(item.state == 'accepted') {
							state_name = '已接单';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'remote-processing') {
							state_name = '远程处理中';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'processing') {
							state_name = '上门处理中';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'go') {
							state_name = '出发';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'start') {
							state_name = '开工';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'confirm-done') {
							state_name = '等待后台确认';
							state_class = 'order-item-state-progressing';
						} else if(item.state == 'rejected') {
							state_name = '已拒绝';
							state_class = 'order-item-state-rejected';
						} else if(item.state == 'return') {
							state_name = '返单';
							state_class = 'order-item-state-return';
						} else {
							state_name = '进行中';
							state_class = 'order-item-state-progressing';
						}

						var html_order_item = template('tmpl_order_item', {
							'state_name': state_name,
							'state_class': state_class,
							'item': item
						});
						$('.order-list').append(html_order_item);
					});

					if($('.order-list').children().length < 1) {
						$('.no-order-list').show();
					} else {
						$('.no-order-list').hide();
					}


				} else if(result.status == 'fail') {
					toast(result.message);
				} else if(result.status == 'out_time') {
					plus.nativeUI.alert(result.message, function(e) {
						window.location.href = 'login.html';
					}, '确定');

				}
			}
		}
	});
}