var ws = null;
var wo = null;
document.addEventListener('plusready', plusReady, false);

function plusReady() {
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	
	$('#dtp-appoint').datetimePicker();
	
	
	$('.back-left').on('click', function() {
		back();
		//wo.evalJS('myOrderListInit();');
	});

	$('.btn-save').on('click', function(e) {
		var appoint_time = $('#dtp-appoint').val().trim();
		if(appoint_time == ''){
			toast('请选择预约时间');
			return;
		}
		
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您确定预约该时间？", function(e) {
			if(e.index == 0) {
				var order_item_id = localStorage.getItem('order_item_id');
				var app_id = localStorage.getItem('app_id');
				var app_key = localStorage.getItem('app_key');
				var user_data = {
					'app_id': app_id,
					'app_key': app_key
				};
				var post_data = {
					params: {
						'appoint_time': appoint_time,
						'user': user_data,
						'order_item_id': order_item_id
					}
				};
				plus.nativeUI.showWaiting();
				$.ajax({
					url: APPOINT_TIME_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {
						plus.nativeUI.closeWaiting();
						if(retData.error != undefined) {
							toast('服务出错，请重试!');
						} else {
							var result = retData.result;
							var data = result.data;
							if(result.status == 'success') {
								back();
								wo.evalJS('GetOrder();');
							} else if(result.status == 'fail') {
								toast(result.message);
							} else if(result.status == 'nologin') {
								toast(result.message);
								window.location.href = 'index.html';
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});
			}
		});
		
	});
}