var ws = null;
var wo = null;
document.addEventListener('plusready', orderDetailInit, false);

//预览
function yulan(father, child) {
	var idxs; //第几张图片  
	father.on("click", child, function() {
		idxs = $(this).index();
		var bg = $(this).css('background');
		var bgurl = bg.split(':')[1].split(')')[0];
		//$('#galleryImg').css("background-image", "url(data:" + bgurl + ")");
		$('#galleryImg').html("<img src='data:" + bgurl + "'>");
		$('#gallery').fadeIn(100);
	});
}
//预览

function orderDetailInit() {
	ws = plus.webview.currentWebview();
	wo = ws.opener();

	$('.back-left').on('click', function() {
		back();
		if(wo.id == 'my_order_list.html') {
			wo.evalJS('myOrderListInit();');
		}
		
		if(wo.id == 'main.html'){
			
			wo.evalJS('renderOrderList();');
		}
	});

	$('.service-order-form').on('click', '.btn-transfer', function() {
		clicked('select_team.html');
	});


	$('.tab-item-line').on('click', function() {
		$(this).addClass('tab-item-on').siblings('.tab-item-line').removeClass('tab-item-on');
		var index = $(this).index();
		$('.tab-cont').eq(index).addClass('show').siblings('.tab-cont').removeClass('show')

		var state = $(this).attr('data-state');
		if(state == 'order_detail') {
			// 服务工单详情
			GetOrder();
		} else if(state == 'order_progress') {
			// 服务工单进度
			GetOrderProgress();
		}
	});

	GetOrder();
};
// 服务工单详情
function GetOrder() {
	var order_item_id = localStorage.getItem('order_item_id');
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};
	var post_data = {
		params: {
			'user': user_data,
			'order_item_id': order_item_id
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_ORDER_BY_ID,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			if(retData.error != undefined) {
				toast('服务出错，请重试!');
			} else {
				var result = retData.result;
				var data = result.data;
				var r_data = result.r_data;
				var ro_data = result.ro_data;
				var request_order_imgs=data.request_order_imgs;//工单详情图片列表
				var request_imgs=r_data.request_imgs ;//服务请求图片列表 
				if(result.status == 'success') {
					var state_name = '';
					var state_class = '';
					if(data.state == 'distributed') {
						state_name = '未接单';
						state_class = 'order-item-state-distributed';
						$('.btn-return').css('display','none');
					} else if(data.state == 'done') {
						state_name = '完成';
						state_class = 'order-item-state-done'; 
						$('.btn-return').css('display','none');
					} else if(data.state == 'rejected') {
						state_name = '已拒绝';
						state_class = 'order-item-state-rejected';
						$('.btn-return').css('display','none');
					} else if(data.state == 'return') {
						state_name = '返单';
						state_class = 'order-item-state-return';
					} else if(data.state == 'accepted') {
						state_name = '已接单';
						state_class = 'order-item-state-progressing';
						$('.order-item-no').attr('class', state_class + ' order-item-no');
						$('.btn-return').css('display','block');
					} else if(data.state == 'remote-processing') {
						state_name = '远程处理中';
						state_class = 'order-item-state-progressing';
						$('.btn-return').css('display','block');
					} else if(data.state == 'processing') {
						state_name = '上门处理中';
						state_class = 'order-item-state-progressing';
						$('.btn-return').css('display','block');
					} else if(data.state == 'go') {
						state_name = '工程师出发';
						state_class = 'order-item-state-progressing';
						$('.btn-return').css('display','block');
					} else if(data.state == 'start') {
						state_name = '工程师开工';
						state_class = 'order-item-state-progressing';
						$('.btn-return').css('display','block');
					} else if(data.state == 'confirm-done') {
						state_name = '等待后台确认';
						state_class = 'order-item-state-progressing';
						$('.btn-return').css('display','none');
					} else {
						state_name = '进行中';
						state_class = 'order-item-state-progressing';
						$('.btn-return').css('display','block');
					}

					var html_service_order_form = template('tmpl_service_order_form', {
						'state_name': state_name,
						'state_class': state_class,
						'service_order': data,
					});
					
					var html_service_request_form = template('tmpl_service_request_form', {
						'service_request': r_data,
					});
					
					var html_service_request_order_form = template('tmpl_service_request_order_form', {
						'service_request_order': ro_data,
					});
					
					$('.service-request-order-form').html(html_service_request_order_form);  
					$('.service-order-form').html(html_service_order_form); //工单
					$('.service-request-form').html(html_service_request_form);
					
					
					//工单详情图片
					if(request_order_imgs.length<=0){
						
					}else{
						$.each(request_order_imgs, function(index,item) {
							$('.weui-uploader_files').append("<li class='weui-uploader-file' style='background: url(data:image/jpeg;base64,"+item+") 50% 50% no-repeat;background-size: 100%;'></li>");
						});
						
						yulan($('.weui-uploader_files'),'li');
					
					}
					//服务请求图片
					if(request_imgs.length <= 0) {
					
					} else {
						$.each(request_imgs, function(index, item) {
							$('.service-request').append("<li class='weui-uploader-file' style='background: url(data:image/jpeg;base64," + item + ") 50% 50% no-repeat;background-size: 100%;'></li>");
						});
					
						yulan($('.service-request'), 'li');
					
					}
					
					//手势放大缩小
						var imgNow = $('#galleryImg img');
						if(imgNow) {
							$('span.weui-gallery__img').each(function() {
								new RTP.PinchZoom($(this), {});
							});
						}
						$('#gallery').on("click", function() {
							$('#gallery').fadeOut(100);
						});
					//手势放大缩小
					
					
					

				} else if(result.status == 'fail') {
					toast(result.message);
				}
			}

			// 工单执行记录链接
			$('.report-link').bind('click', function(e) {
				var order_id = $(e.currentTarget).attr('data-order-id');
				localStorage.setItem('order_id', order_id);
				var w = plus.webview.create("service_report_list.html", "service_report_list_page");
				w.show("pop-in");
			});

			// 服务请求链接
			$('.request-link').on('click', function(e) {
				var request_item_id = $(e.currentTarget).attr('data-request-id');
				localStorage.setItem('request_item_id', request_item_id);
				var w = plus.webview.create("request_item_detail.html", "request_item_detail_page");
				w.show("pop-in");
			});

			// 联系电话呼叫
			$('.contact-link').on('click', function(e) {
				if($(e.currentTarget).attr('data-contact-phone') != '') {
					var phone = $(e.currentTarget).attr('data-contact-phone');
					plus.device.dial(phone, false);
				} else {
					toast('没有电话号码，无法拨打');
				}
			});

			editButton();
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
	
}

// 服务工单业务处理
function editButton() {

	// 操作：接单
	$('.bottom-buttons').on('click', '.btn-accept', function(e) {
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您决定接受该工单？", function(e) {
			if(e.index == 0) {
				var order_item_id = localStorage.getItem('order_item_id');
				var app_id = localStorage.getItem('app_id');
				var app_key = localStorage.getItem('app_key');
				var user_data = {
					'app_id': app_id,
					'app_key': app_key
				};
				var post_data = {
					params: {
						'user': user_data,
						'order_item_id': order_item_id
					}
				};
				plus.nativeUI.showWaiting();
				$.ajax({
					url: ACCEPT_ORDER_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {

						if(retData.error != undefined) {
							toast('服务出错，请重试!');
						} else {
							var result = retData.result;
							var data = result.data;
							if(result.status == 'success') {
								toast(result.message);
								GetOrder();
							} else if(result.status == 'fail') {
								toast(result.message);
							} else if(result.status == 'nologin') {
								toast(result.message);
								window.location.href = 'login.html';
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});
			}

		}, "提示", bts);
	});

	// 操作：拒绝
	$('.bottom-buttons').on('click', '.btn-reject', function(e) {
		var w = plus.webview.create("reject_order.html", "reject_order_page");
		w.show("pop-in");
	});

	// 操作：远程处理|上门处理
	$('.bottom-buttons').on('click', '.btn-process', function(e) {
		var process = $(e.currentTarget).attr('data-process');
		var order_item_id = localStorage.getItem('order_item_id');
		var app_id = localStorage.getItem('app_id');
		var app_key = localStorage.getItem('app_key');
		var user_data = {
			'app_id': app_id,
			'app_key': app_key
		};

		var post_data = {
			params: {
				'user': user_data,
				'order_item_id': order_item_id,
				'process': process
			}
		};

		var bts = ["是", "否"];
		var message = "";
		if(process == 'remote') {
			message = "您确认远程处理吗？";
		}
		if(process == 'room') {
			message = "您确认上门处理吗？";
		}
		plus.nativeUI.confirm(message, function(e) {
			if(e.index == 0) {
				plus.nativeUI.showWaiting();
				$.ajax({
					url: PROCESS_ORDER_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {
						plus.nativeUI.closeWaiting();
						//console.log(JSON.stringify(retData));
						var result = retData.result;
						if(result.status == 'success') {
							if(retData.error != undefined) {
								toast('系统繁忙，请重试!');
							} else {
								var result = retData.result;
								var data = result.data;
								if(result.status == 'success') {
									toast(result.message);
									GetOrder();
								} else if(result.status == 'fail') {
									toast(result.message);
								} else if(result.status == 'nologin') {
									toast(result.message);
									window.location.href = 'login.html';
								}
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});

			}
		}, "提示", bts);
	});

	// 操作：出发
	$('.bottom-buttons').on('click', '.btn-go', function(e) {
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您现在准备出发去服务现场吗？", function(e) {
			if(e.index == 0) {
				var order_item_id = localStorage.getItem('order_item_id');
				var app_id = localStorage.getItem('app_id');
				var app_key = localStorage.getItem('app_key');
				var user_data = {
					'app_id': app_id,
					'app_key': app_key
				};
				var post_data = {
					params: {
						'user': user_data,
						'order_item_id': order_item_id
					}
				};
				plus.nativeUI.showWaiting();

				$.ajax({
					url: GO_ORDER_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {
						plus.nativeUI.closeWaiting();
						//console.log(JSON.stringify(retData));
						if(retData.error != undefined) {
							toast('服务出错，请重试!');
						} else {
							var result = retData.result;
							var data = result.data;
							if(result.status == 'success') {
								toast(result.message);
								GetOrder();
							} else if(result.status == 'fail') {
								toast(result.message);
							} else if(result.status == 'nologin') {
								toast(result.message);
								window.location.href = 'login.html';
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});
			}
		}, "提示", bts);
	});
	
	// 操作：到达
	$('.bottom-buttons').on('click', '.btn-arrival', function(e) {
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您确认已经到达工单约定的地址吗？", function(e) {
			if(e.index == 0) {
				var order_item_id = localStorage.getItem('order_item_id');
				var app_id = localStorage.getItem('app_id');
				var app_key = localStorage.getItem('app_key');
				var user_data = {
					'app_id': app_id,
					'app_key': app_key
				};
				var post_data = {
					params: {
						'user': user_data,
						'order_item_id': order_item_id
					}
				};
				
				plus.nativeUI.showWaiting();

				$.ajax({
					url: ARRIVAL_ORDER_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {
						plus.nativeUI.closeWaiting();
						//console.log(JSON.stringify(retData));
						if(retData.error != undefined) {
							toast('服务出错，请重试!');
						} else {
							var result = retData.result;
							var data = result.data;
							if(result.status == 'success') {
								toast(result.message);
								GetOrder();
							} else if(result.status == 'fail') {
								toast(result.message);
							} else if(result.status == 'nologin') {
								toast(result.message);
								window.location.href = 'login.html';
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});
			}
		}, "提示", bts);
	});

	// 操作：开工
	$('.bottom-buttons').on('click', '.btn-start', function(e) {
		var bts = ["是", "否"];
		plus.nativeUI.confirm("您现在正式开工吗？", function(e) {
			if(e.index == 0) {
				var order_item_id = localStorage.getItem('order_item_id');
				var app_id = localStorage.getItem('app_id');
				var app_key = localStorage.getItem('app_key');
				var user_data = {
					'app_id': app_id,
					'app_key': app_key
				};
				var post_data = {
					params: {
						'user': user_data,
						'order_item_id': order_item_id
					}
				};
				plus.nativeUI.showWaiting();

				$.ajax({
					url: START_ORDER_SERVICE,
					dataType: 'json',
					type: 'POST',
					contentType: 'application/json',
					data: JSON.stringify(post_data),
					success: function(retData) {
						plus.nativeUI.closeWaiting();
						//console.log(JSON.stringify(retData));
						if(retData.error != undefined) {
							toast('服务出错，请重试!');
						} else {
							var result = retData.result;
							var data = result.data;
							if(result.status == 'success') {
								toast(result.message);
								GetOrder();
							} else if(result.status == 'fail') {
								toast(result.message);
							} else if(result.status == 'nologin') {
								toast(result.message);
								window.location.href = 'login.html';
							}
						}
					},
					error: function(retData) {
						plus.nativeUI.closeWaiting();
					},
					complete: function(c) {
						plus.nativeUI.closeWaiting();
					}
				});
			}
		}, "提示", bts);
	});
	
	// 操作: 预约
	$('.bottom-buttons').on('click', '.btn-appointment', function(e){
		localStorage.setItem('state','processing');
		var w = plus.webview.create("order_appoint.html","order_appoint");
		w.show("pop-in");
	});

	// 操作：完成
	$('.bottom-buttons').on('click', '.btn-finish', function(e) {
		localStorage.setItem('state', 'finished');
		var w = plus.webview.create("order_item_report.html", "order_item_report_page");
		w.show("pop-in");
	});
	// 操作：反单
	$('.btn-return').on('click', function(e) {
		localStorage.setItem('state', 'return');
		var w = plus.webview.create("order_item_report.html", "order_item_report_page");
		w.show("pop-in");
	});
	

}

// 服务工单进度
function GetOrderProgress() {
	var request_item_id = $('.request-link').attr('data-request-id');
	var app_id = localStorage.getItem('app_id');
	var app_key = localStorage.getItem('app_key');
	var user_data = {
		'app_id': app_id,
		'app_key': app_key
	};

	var post_data = {
		params: {
			'user': user_data,
			'request_item_id': request_item_id
		}
	};

	plus.nativeUI.showWaiting();
	$.ajax({
		url: GET_REQUEST_PROGRESS_SERVICE,
		dataType: 'json',
		type: 'POST',
		contentType: 'application/json',
		data: JSON.stringify(post_data),
		success: function(retData) {
			plus.nativeUI.closeWaiting();
			//console.log(JSON.stringify(retData));
			var result = retData.result;
			if(result.status == 'success') { //报错
				if(retData.error != undefined) {
					toast('服务出错，请重试!');
				} else {
					var result = retData.result;
					var data = result.data;

					var html_service_process_list = template('tmpl_service_process_list', {
						'service_process_list': data
					});
					$('.service-process').html(html_service_process_list);
				}
			}
		},
		error: function(retData) {
			plus.nativeUI.closeWaiting();
		},
		complete: function(c) {
			plus.nativeUI.closeWaiting();
		}
	});
};
